xine-lib: xine-lib-1.2.12/src/input/librtsp/rtsp_session.h File Reference

xine-lib 1.2.12

Typedefs | Functions
rtsp_session.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct rtsp_session_s | rtsp_session_t

## Functions
rtsp_session_t * | rtsp_session_start (xine_stream_t *stream, const char *mrl)
void | rtsp_session_set_start_time (rtsp_session_t *this, int start_time)
int | rtsp_session_read (rtsp_session_t *session, char *data, int len)
int | rtsp_session_peek_header (rtsp_session_t *this, char *buf, int maxsize)
void | rtsp_session_end (rtsp_session_t *session)

## Typedef Documentation

## ◆ rtsp_session_t

typedef struct rtsp_session_s rtsp_session_t

## Function Documentation

## ◆ rtsp_session_end()

void rtsp_session_end | ( | rtsp_session_t * | session | ) |

References rtsp_session_s::recv, rtsp_close(), rtsp_session_s::s, and xine_buffer_free.

Referenced by rtsp_plugin_dispose().

## ◆ rtsp_session_peek_header()

int rtsp_session_peek_header | ( | rtsp_session_t * | this,
|  | char * | buf,
|  | int | maxsize
| ) |  |

Referenced by rtsp_plugin_get_optional_data().

## ◆ rtsp_session_read()

int rtsp_session_read | ( | rtsp_session_t * | session,
|  | char * | data,
|  | int | len
| ) |  |

References lprintf, real_get_rdt_chunk(), and rtsp_session_play().

Referenced by rtsp_plugin_read().

## ◆ rtsp_session_set_start_time()

void rtsp_session_set_start_time | ( | rtsp_session_t * | this,
|  | int | start_time
| ) |  |

Referenced by rtsp_plugin_seek_time().

## ◆ rtsp_session_start()

rtsp_session_t * rtsp_session_start | ( | xine_stream_t * | stream,
|  | const char * | mrl
| ) |  |

References _, BUF_SIZE, xine_s::config, rtsp_session_s::header, rtsp_session_s::header_left, rtsp_session_s::header_len, HEADER_SIZE, NULL, real_setup_and_get_header(), rtsp_session_s::recv, rtsp_session_s::recv_read, rtsp_session_s::recv_size, config_values_s::register_enum, rmff_dump_header(), rtsp_bandwidth_strs, rtsp_bandwidths, rtsp_close(), rtsp_connect(), rtsp_search_answers(), rtsp_session_s::s, xine_stream_s::xine, xine_buffer_copyin, xine_buffer_free, xine_buffer_init(), XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, and xprintf.

Referenced by rtsp_plugin_open().